/**
 * 26 进制与 10 进制的转换
 */

/**
 * 十进制转26进制
 * @param {*} n 
 */
export function o2s(num) {
  let n = num;
  let str = '';
  while (n > 0) {
    let m = n % 26;
    if (m === 0) {
      m = 26;
    }
    str = String.fromCharCode(m + 64) + str;
    n = (n - m) / 26;
  }

  return str;
}

/**
 * 26进制转10进制
 * @param {*} str 
 * @returns 
 */
export function s2o(str) {
  let n = 0;

  for (let i = str.length - 1, j = 1; i >= 0; i -= 1, j *= 26) {
    const c = str.charCodeAt(i)
    
    n += (c - 64) * j;
  }

  return n;
}
